import { h, Component } from 'preact';
import WBBrowseDialogProjectList from 'wb-browse-dialog-project-list';
import WBBrowseDialogCollectionList from 'wb-browse-dialog-project-list';

class WBBrowseDialog extends Component {
  render({ app, id }, { mode }) {
    return (
      <div class="modal" id={ id } tabindex="-1" role="dialog">
        <div class="modal-dialog modal-lg" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Browse</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>

            <div class="modal-body">
              <button class="btn btn-sm btn-outline-primary">Back</button>

              <input class="form-control" type="search" placeholder="Search" />

              <div class="input-group mb-3">
                <div class="input-group-prepend">
                  <button class="btn btn-outline-secondary" type="button">Back</button>
                </div>

                <input type="text" class="form-control" placeholder="Search"
                  aria-label="Search" />

                <div class="input-group-append">
                  <button class="btn btn-outline-primary" type="button">Search</button>
                </div>
              </div>

              <h5>Projects</h5>
              <WBBrowseDialogProjectList app={ app } />

              { mode === 'collection-content' ? (
                <h5>Content</h5>
              ) : (
                <div>
                  <h5>Collections</h5>
                  <WBBrowseDialogCollectionList app={ app } />
                </div>
              ) }
            </div>

            <div class="modal-footer">
              <button type="button" class="btn btn-primary">Accept</button>
              <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
            </div>
          </div>
        </div>
      </div>
    );
  }
}

export default WBBrowseDialog;
